@rem
@rem Copyright 2015 the original author or authors.
@rem
@rem Licensed under the Apache License, Version 2.0 (the "License");
@rem you may not use this file except in compliance with the License.
@rem You may obtain a copy of the License at
@rem
@rem      https://www.apache.org/licenses/LICENSE-2.0
@rem
@rem Unless required by applicable law or agreed to in writing, software
@rem distributed under the License is distributed on an "AS IS" BASIS,
@rem WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@rem See the License for the specific language governing permissions and
@rem limitations under the License.
@rem

@if "%DEBUG%"=="" @echo off
@rem ##########################################################################
@rem
@rem  owl-fuseki startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%"=="" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Resolve any "." and ".." in APP_HOME to make it shorter.
for %%i in ("%APP_HOME%") do set APP_HOME=%%~fi

@rem Add default JVM options here. You can also use JAVA_OPTS and OWL_FUSEKI_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if %ERRORLEVEL% equ 0 goto execute

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto execute

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\owl-fuseki-2.8.1.jar;%APP_HOME%\lib\maven-resolver-provider-3.8.4.jar;%APP_HOME%\lib\maven-resolver-connector-basic-1.8.2.jar;%APP_HOME%\lib\maven-resolver-impl-1.8.2.jar;%APP_HOME%\lib\maven-resolver-transport-file-1.8.2.jar;%APP_HOME%\lib\maven-resolver-transport-http-1.8.2.jar;%APP_HOME%\lib\maven-resolver-util-1.8.2.jar;%APP_HOME%\lib\maven-resolver-spi-1.8.2.jar;%APP_HOME%\lib\maven-resolver-api-1.8.2.jar;%APP_HOME%\lib\jcommander-1.82.jar;%APP_HOME%\lib\log4j-1.2.17.jar;%APP_HOME%\lib\slf4j-simple-1.7.33.jar;%APP_HOME%\lib\maven-model-builder-3.8.4.jar;%APP_HOME%\lib\maven-model-3.8.4.jar;%APP_HOME%\lib\maven-repository-metadata-3.8.4.jar;%APP_HOME%\lib\maven-artifact-3.8.4.jar;%APP_HOME%\lib\plexus-utils-3.3.0.jar;%APP_HOME%\lib\javax.inject-1.jar;%APP_HOME%\lib\maven-resolver-named-locks-1.8.2.jar;%APP_HOME%\lib\jcl-over-slf4j-1.7.36.jar;%APP_HOME%\lib\slf4j-api-1.7.36.jar;%APP_HOME%\lib\commons-lang3-3.12.0.jar;%APP_HOME%\lib\javax.annotation-api-1.3.2.jar;%APP_HOME%\lib\httpclient-4.5.13.jar;%APP_HOME%\lib\httpcore-4.4.15.jar;%APP_HOME%\lib\plexus-interpolation-1.26.jar;%APP_HOME%\lib\maven-builder-support-3.8.4.jar;%APP_HOME%\lib\org.eclipse.sisu.inject-0.3.5.jar;%APP_HOME%\lib\commons-codec-1.11.jar


@rem Execute owl-fuseki
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %OWL_FUSEKI_OPTS%  -classpath "%CLASSPATH%" io.opencaesar.owl.fuseki.OwlFusekiApp %*

:end
@rem End local scope for the variables with windows NT shell
if %ERRORLEVEL% equ 0 goto mainEnd

:fail
rem Set variable OWL_FUSEKI_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
set EXIT_CODE=%ERRORLEVEL%
if %EXIT_CODE% equ 0 set EXIT_CODE=1
if not ""=="%OWL_FUSEKI_EXIT_CONSOLE%" exit %EXIT_CODE%
exit /b %EXIT_CODE%

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
